DateTime::createFromFormat
DateTime::modify
DateTime
PHP Manual

# DateTime::getLastErrors

# date_get_last_errors

(PHP 5 >= 5.3.0, PHP 7)

DateTime::getLastErrors -- date_get_last_errors — Returns the warnings and errors

### Description

Object oriented style

public static array DateTime::getLastErrors ( void )

Procedural style

array date_get_last_errors ( void )

Returns an array of warnings and errors found while parsing a date/time string.

### Parameters

This function has no parameters.

### Return Values

Returns array containing info about warnings and errors.

### Examples

Example #1 DateTime::getLastErrors() example

Object oriented style

`<?php
try {
$date = new DateTime('asdfasdf');
} catch (Exception $e) {
// For demonstration purposes only...
print_r(DateTime::getLastErrors());
// The real object oriented way to do this is
// echo $e->getMessage();
}
?>`

Procedural style

`<?php
$date = date_create('asdfasdf');
print_r(date_get_last_errors());
?>`

The above examples will output:

    Array
    (
       [warning_count] => 1
       [warnings] => Array
           (
               [6] => Double timezone specification
           )

       [error_count] => 1
       [errors] => Array
           (
               [0] => The timezone could not be found in the database
           )

    )

The indexes 6, and 0 in the example output refer to the character index in the string where the error occurred.

DateTime::createFromFormat
DateTime::modify
DateTime
PHP Manual